#
# TODO: - bconds for the rest of the plugins
#
# Conditional build:
%bcond_with	cg		# build with cg

%ifnarch %{ix86} %{x8664}
%undefine	with_cg
%endif

%define _ver    %(echo %{version} | tr . -)
Summary:	Object-oriented Graphics Rendering Engine
Summary(pl.UTF-8):	OGRE - zorientowany obiektowo silnik renderowania grafiki
Name:		ogre
Version:	1.8.0
Release:	1
License:	MIT
Group:		Applications
Source0:	http://downloads.sourceforge.net/ogre/%{name}_src_v%{_ver}.tar.bz2
# Source0-md5:	3b9bcd34a39891a8bf0385ae0c5c670b
Patch0:		boost-1.50.patch
URL:		http://www.ogre3d.org/
BuildRequires:	CEGUI-devel
BuildRequires:	FreeImage-devel
BuildRequires:	OpenEXR-devel
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	boost-devel
%{?with_cg:BuildRequires:	cg-devel}
BuildRequires:	cmake
BuildRequires:	cppunit-devel >= 1.10.0
BuildRequires:	freetype-devel >= 2.1.0
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
BuildRequires:	xorg-proto-xf86vidmodeproto-devel
BuildRequires:	zlib-devel
BuildRequires:	zziplib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Object-oriented Graphics Rendering Engine.

%description -l pl.UTF-8
OGRE - zorientowany obiektowo silnik renderowania grafiki

%package devel
Summary:	Header files for OGRE library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki OGRE
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	FreeImage-devel
Requires:	freetype-devel >= 2.1.0
Requires:	libstdc++-devel
Requires:	zlib-devel
Requires:	zziplib-devel
# libOgrePlatform additionally: XFree86-devel/xorg-lib-libX11-devel OpenGL-GLU-devel

%description devel
This is the package containing the header files for OGRE library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki OGRE.

%package examples
Summary:	OGRE samples
Summary(pl.UTF-8):	Przykłady do OGRE
Group:		Applications

%description examples
OGRE samples.

%description examples -l pl.UTF-8
Przykłady do OGRE.

%prep
%setup -q -n %{name}_src_v%{_ver}
%patch0 -p1

%build
install -d build
cd build
# "None" is an alias for release, but uses plain CMAKE_CXX_FLAGS; "PLD" build type is not supported
%cmake .. \
	-DCMAKE_BUILD_TYPE=%{?debug:Debug}%{!?debug:None}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -pr Samples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS COPYING README
%attr(755,root,root) %{_bindir}/Ogre*
%dir %{_libdir}/OGRE
%attr(755,root,root) %{_libdir}/OGRE/*.so*
%attr(755,root,root) %{_libdir}/libOgreMain.so.*.*.*
%attr(755,root,root) %{_libdir}/libOgrePaging.so.*.*.*
%attr(755,root,root) %{_libdir}/libOgreProperty.so.*.*.*
%attr(755,root,root) %{_libdir}/libOgreRTShaderSystem.so.*.*.*
%attr(755,root,root) %{_libdir}/libOgreTerrain.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libOgreMain.so
%attr(755,root,root) %{_libdir}/libOgrePaging.so
%attr(755,root,root) %{_libdir}/libOgreProperty.so
%attr(755,root,root) %{_libdir}/libOgreRTShaderSystem.so
%attr(755,root,root) %{_libdir}/libOgreTerrain.so
%{_includedir}/OGRE
%{_pkgconfigdir}/OGRE.pc
%{_pkgconfigdir}/OGRE-PCZ.pc
%{_pkgconfigdir}/OGRE-Paging.pc
%{_pkgconfigdir}/OGRE-Property.pc
%{_pkgconfigdir}/OGRE-RTShaderSystem.pc
%{_pkgconfigdir}/OGRE-Terrain.pc
%dir %{_libdir}/OGRE
%{_libdir}/OGRE/cmake

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> 0e32de3
Boost 1.50 requirest boost_system for boost_thread

* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> f6e6855
Updated to 1.8.0

* Sun Mar 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8ab5d70
- release 2

* Thu Jun 09 2011 lisu <lisu@pld-linux.org> bc3cc54
- updated to 1.7.3

* Sun May 08 2011 Jakub Bogusz <qboosh@pld-linux.org> d55394d
- fixed build with recent rpm macros ("PLD" build type is not supported here)
- BR: boost-devel (boost_thread and boost_date_time used)
- License is MIT; package COPYING
- package cmake files in -devel
- release 3

* Wed May 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 236b6b5
- release 2

* Mon Feb 14 2011 lisu <lisu@pld-linux.org> 0a87368
- drop cmake options provides by cmake macro

* Tue Nov 09 2010 lisu <lisu@pld-linux.org> 3fda811
- builds on 64 bits
- rel 1

* Tue Nov 09 2010 lisu <lisu@pld-linux.org> 2638fea
- up to 1.7.2

* Wed May 19 2010 lisu <lisu@pld-linux.org> 6c8a409
- try to fix build on 64 bits

* Wed May 19 2010 lisu <lisu@pld-linux.org> 06e6348
- missing %%{__make}

* Sun May 09 2010 lisu <lisu@pld-linux.org> b29b058
- new TODO item

* Fri Apr 30 2010 lisu <lisu@pld-linux.org> 3d05863
- up to 1.7.1
- unify cmake build section

* Fri Mar 05 2010 lisu <lisu@pld-linux.org> 74809f5
- cosmetics

* Fri Mar 05 2010 lisu <lisu@pld-linux.org> 24de43d
- updated to final 1.7.0 final
- DEVEL merge
- package more files (and make all files more verbose)
- clean up

* Thu Jan 21 2010 lisu <lisu@pld-linux.org> 97e35e3
- TODO

* Thu Jan 21 2010 lisu <lisu@pld-linux.org> a8e41b0
- updated to 1.6.5

* Tue Oct 06 2009 lisu <lisu@pld-linux.org> ecd6a2a
- sed is not longer usefull here
- "find -name CVS" return nothing - removed

* Tue Oct 06 2009 lisu <lisu@pld-linux.org> 60025c2
- 1.6.4

* Wed Sep 30 2009 lisu <lisu@pld-linux.org> 46c6680
- up to 1.6.3

